Bug 18701 - Translatability: Get rid of exposed tt directives in matching-rules.tt
Summary: Translatability: Get rid of exposed tt directives in matching-rules.tt
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18824
  Show dependency treegraph
 
Reported: 2017-05-30 15:50 UTC by Marc Véron
Modified: 2017-07-06 17:49 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18701: Translatability: Get rid of exposed tt directives in matching-rules.tt (7.65 KB, patch)
2017-05-30 15:56 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18701: Translatability: Get rid of exposed tt directives in matching-rules.tt (7.73 KB, patch)
2017-06-05 20:02 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-30 15:50:04 UTC
Translation for file matching-rules.tt exposes a lot of template directives. 

Translators should not be confronted with internal code like the following:

[%% PROCESS norms_select selected_norm=\"none\" id=\"mc_1_src_c_1_n_1_norm\" "name=\"mc_1_src_c_1_n_1_norm\" %%]
Comment 1 Marc Véron 2017-05-30 15:56:03 UTC
Created attachment 63849 [details] [review]
Bug 18701: Translatability: Get rid of exposed tt directives in matching-rules.tt

Translation for file matching-rules.tt exposes a lot of template directives.

Translators should not be confronted with internal code like the following:

[%% PROCESS norms_select selected_norm=\"none\" id=\"mc_1_src_c_1_n_1_norm\" "name=\"mc_1_src_c_1_n_1_norm\" %%]

To test:
- Apply patch
- Verify that code changes make sense (removes line breaks in directives)
- Run QA tools in newset version (tests for line breaks in tt)
- Bonus test: create a new translation e.g. fpr language 'aa-AA', verify
  that such lines no longer appear in po/aa-AA-staff-prog.po
  (for matching-rules.tt)
Comment 2 Jonathan Druart 2017-06-05 20:02:40 UTC
Created attachment 63989 [details] [review]
Bug 18701: Translatability: Get rid of exposed tt directives in matching-rules.tt

Translation for file matching-rules.tt exposes a lot of template directives.

Translators should not be confronted with internal code like the following:

[%% PROCESS norms_select selected_norm=\"none\" id=\"mc_1_src_c_1_n_1_norm\" "name=\"mc_1_src_c_1_n_1_norm\" %%]

To test:
- Apply patch
- Verify that code changes make sense (removes line breaks in directives)
- Run QA tools in newset version (tests for line breaks in tt)
- Bonus test: create a new translation e.g. fpr language 'aa-AA', verify
  that such lines no longer appear in po/aa-AA-staff-prog.po
  (for matching-rules.tt)

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2017-06-05 20:17:46 UTC
Trivial, skipping QA.
Comment 4 Jonathan Druart 2017-06-06 19:03:22 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-06-12 08:42:33 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 6 Katrin Fischer 2017-06-13 05:35:25 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.